/{organizationId}/{mandateId}/crm/rule-executions/{ruleId}/{executionId}Get rule execution
Returns a specific CRM rule execution
Required permissions:
mandate.read
contactRule.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired ruleIdstringrequired executionIdstringrequired Authentication: X-API-Key
Request
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/rule-executions/{ruleId}/{executionId}' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
ObjectId as string
ObjectId as string
Additional properties are not allowed.
Additional properties are not allowed.
statusstringrequired Options:
pendingexecutingexecutedprocessAtdate-timerequired executedAtdate-time | nullrequired baseRuleDatedate-timerequired createdAtdate-time | nulloptional updatedAtdate-time | nulloptional Response
{
"_id": "000000000000000000000001",
"organization": "000000000000000000000001",
"mandate": "000000000000000000000001",
"contactRule": {
"contactRule": "000000000000000000000001",
"name": "string"
},
"contact": {
"name": "string",
"type": "contact",
"nameNormalized": "string",
"nameSort": "string",
"contact": "000000000000000000000001",
"image": {
"resource": "string"
},
"user": {
"name": "string",
"type": "user",
"userId": "string",
"image": {
"resource": "string"
}
}
},
"status": "pending",
"processAt": "2026-06-15T22:30:00Z",
"executedAt": "2026-06-15T22:30:00Z",
"baseRuleDate": "2026-06-15T22:30:00Z",
"actionsResult": [
{
"actionId": "string",
"actionName": "string",
"status": "success",
"error": "string"
}
]
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404Not found
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}